Package org.eclipse.emf.cdo.transaction

# Class CDODefaultTransactionHandler1

java.lang.Object
org.eclipse.emf.cdo.transaction.CDODefaultTransactionHandler1

All Implemented Interfaces:
  `CDOTransactionHandler1`, `CDOTransactionHandler1.WithUndo`, `CDOTransactionHandlerBase`

Direct Known Subclasses:
  `CDOAutoAttacher`, `CDOAutoLocker`, `CDODefaultTransactionHandler`

public class CDODefaultTransactionHandler1 extends Object implements CDOTransactionHandler1.WithUndo
An empty default implementation of `CDOTransactionHandler1`.

Since:
  4.0
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOTransactionHandler1

`CDOTransactionHandler1.WithUndo`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CDODefaultTransactionHandler1()`

## Method Summary

Modifier and Type
Method
Description
`void`
`attachingObject(CDOTransaction transaction, CDOObject object)`
This implementation does nothing.
`void`
`detachingObject(CDOTransaction transaction, CDOObject object)`
This implementation does nothing.
`protected void`
`handleDefault(CDOTransaction transaction)`
`void`
`modifyingObject(CDOTransaction transaction, CDOObject object, CDOFeatureDelta featureChange)`
This implementation does nothing.
`void`
`undoingObject(CDOTransaction transaction, CDOObject object, CDOFeatureDelta featureDelta)`
This implementation does nothing.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CDODefaultTransactionHandler1

protected CDODefaultTransactionHandler1()

## Method Details

### attachingObject

public void attachingObject(CDOTransaction transaction, CDOObject object)
This implementation does nothing. Clients may override to provide specialized behavior.

Specified by:
  `attachingObject` in interface `CDOTransactionHandler1`

### detachingObject

public void detachingObject(CDOTransaction transaction, CDOObject object)
This implementation does nothing. Clients may override to provide specialized behavior.

Specified by:
  `detachingObject` in interface `CDOTransactionHandler1`

### modifyingObject

public void modifyingObject(CDOTransaction transaction, CDOObject object, CDOFeatureDelta featureChange)
This implementation does nothing. Clients may override to provide specialized behavior.

Specified by:
  `modifyingObject` in interface `CDOTransactionHandler1`

### undoingObject

public void undoingObject(CDOTransaction transaction, CDOObject object, CDOFeatureDelta featureDelta)
This implementation does nothing. Clients may override to provide specialized behavior.

Specified by:
  `undoingObject` in interface `CDOTransactionHandler1.WithUndo`
Since:
  4.6

### handleDefault

protected void handleDefault(CDOTransaction transaction)

Since:
  4.2